List intents
curl --request GET \
--url https://api.pushcash.com/intent/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pushcash.com/intent/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pushcash.com/intent/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"created_at": "2023-05-24T20:36:50.694Z",
"direction": "cash_in",
"user_id": "user_28CJjV7P4Go5PNJvfzghiD",
"amount": 1450,
"currency": "USD",
"guarantee_amount": 1450,
"status": "approved",
"decline_category": null,
"transactions": [
{
"id": "txn_230vjroij4985uefjoiu9",
"amount": 1450,
"currency": "USD",
"created_at": "2023-05-24T20:15:18.158Z",
"date": "2023-05-24",
"batch": "398002",
"balance": "settlement",
"type": "intent",
"source_id": "intent_sandbox_dMggQ93ZYH6DH9LBhVeijE",
"status": "settled"
}
],
"dispute": null,
"refund": null,
"credential": {
"display_name": "Chase Checking",
"last4": "6018"
},
"payment_credential": {
"bank_name": "Space Coast Credit Union",
"account": {
"number_mask": "5978",
"routing": "263177903"
},
"card": {
"primary_account_number_mask": "6018",
"expiration": "2024-05-01",
"brand": "visa"
}
},
"rail": "card",
"account": {
"id": "account_WsELzpJOvU6fNafvzWbF6K",
"type": "settlement",
"name": "Settlement Account",
"created_at": "2023-05-24T20:15:18.158Z"
},
"type": "push"
}
],
"next_cursor": "vjl8vk3l4o8dhsjlzh=="
}{}intent
List intents
Retrieves a list of intents
GET
/
intent
/
list
List intents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The cursor for the next page of results to fetch
Example:
"vjl8vk3l4o8dhsjlzh=="
Filter by payment flow type
Available options:
push, card_only Filter intents by status. Provide multiple values to retrieve intents with any of the provided statuses.
Available options:
created, approved, declined, pending, canceled ⌘I